Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_storage_mysql_find_statements_in_context

## Name

librdf_storage_mysql_find_statements_in_context --

## Synopsis

``librdf_stream* `librdf_storage_mysql_find_statements_in_context`` (librdf_storage* `storage`, librdf_statement* `statement`, librdf_node* `context_node`);`

## Arguments

`storage`

  the storage

`statement`

  the statement to match

`context_node`

  the context to search

## Description

Return a stream of statements matching the given statement (or all statements if NULL). Parts (subject, predicate, object) of the statement can be empty in which case any statement part will match that.

## Return value

a librdf_stream or NULL on failure

<<< Previous | Home | Next >>>
librdf_storage_mysql_context_serialise | Up | librdf_storage_mysql_find_statements_with_options